# content

Specifies the content to insert before or after the element.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
no | 6.0+ | 1.0+ | 7.0+ | 1.0+

## Usage

[url(image-url) | quote-style-value]. Example values: url(images/bluestar.gif), "Chapter: ", open-quote, etc.

## Values

* | Specify a value for content that is not on this list.
inherit | Inherit the value from the parent element.
open-quote | Insert an open quote.
close-quote | Insert a close quote.
no-open-quote | Increment the nesting level of quotes, but do not insert quotes.
no-close-quote | Decrement the nesting level of quotes, but do not insert quotes.

## Example

To specify that a paragraph should have an image from an "images" directory called "bluestar.gif" before it use the following syntax: `p:before {content: url(images/bluestar.gif);}`.

## Remarks

Use `content` to specify either a quote style or an image to use (similar to a bullet) before or after an element.

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs